image: cirrusci/flutter

stages:
  - build

build:apk:
  stage: build
  only:
    refs:
      - develop
      - test
  script:
    - flutter build apk
    - cp build/app/outputs/apk/release/app-release.apk carSharingServices_${CI_COMMIT_REF_NAME}.apk
  artifacts:
    paths:
      - 'carSharingServices_${CI_COMMIT_REF_NAME}.apk'
      - build/app/outputs/apk
